using FluentValidation;

namespace Indotalent.Features.Purchase.DebitNote.Cqrs;

public class CreateDebitNoteValidator : AbstractValidator<CreateDebitNoteRequest>
{
    public CreateDebitNoteValidator()
    {
        RuleFor(x => x.DebitNoteDate).NotEmpty().WithMessage("Date is required");
        RuleFor(x => x.PurchaseReturnId).NotEmpty().WithMessage("Purchase Return reference is required");
    }
}